Skip to main content
POST
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
files
Upload a blueprint file
curl --request POST \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
import requests

url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files"

files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "blueprint_id": "<string>",
  "created_at": 123,
  "env_var_name": "<string>",
  "file_id": "<string>",
  "name": "<string>",
  "size_bytes": 123,
  "updated_at": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Permissions

Requires a service user with the ManageRepoBlueprints permission at the organization level.

Behavior

Uploads a file to the blueprint. Files are referenced in the blueprint YAML and made available during snapshot builds.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

blueprint_id
string
required
org_id
string
required

Organization ID (prefix: org-)

Example:

"org-abc123def456"

Query Parameters

name
string
required

Body

multipart/form-data
file
file
required

Response

Successful Response

Public BlueprintFile resource shape.

blueprint_id
string
required
created_at
integer
required
env_var_name
string
required
file_id
string
required
name
string
required
size_bytes
integer
required
updated_at
integer
required